test.sh 1.5 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162
  1. #!/usr/bin/env bash
  2. # Copyright 2017 Google
  3. # Licensed under the Apache License, Version 2.0 (the "License");
  4. # you may not use this file except in compliance with the License.
  5. # You may obtain a copy of the License at
  6. # http://www.apache.org/licenses/LICENSE-2.0
  7. # Unless required by applicable law or agreed to in writing, software
  8. # distributed under the License is distributed on an "AS IS" BASIS,
  9. # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  10. # See the License for the specific language governing permissions and
  11. # limitations under the License.
  12. set -eo pipefail
  13. test_iOS() {
  14. xcodebuild \
  15. -workspace Example/Firebase.xcworkspace \
  16. -scheme AllUnitTests_iOS \
  17. -sdk iphonesimulator \
  18. -destination 'platform=iOS Simulator,name=iPhone 7' \
  19. build \
  20. test \
  21. ONLY_ACTIVE_ARCH=YES \
  22. CODE_SIGNING_REQUIRED=NO \
  23. | xcpretty
  24. }
  25. test_macOS() {
  26. xcodebuild \
  27. -workspace Example/Firebase.xcworkspace \
  28. -scheme AllUnitTests_macOS \
  29. -sdk macosx \
  30. -destination 'platform=OS X,arch=x86_64' \
  31. build \
  32. test \
  33. ONLY_ACTIVE_ARCH=YES \
  34. CODE_SIGNING_REQUIRED=NO \
  35. | xcpretty
  36. }
  37. test_iOS; RESULT=$?
  38. if [ $RESULT == 65 ]; then
  39. echo "xcodebuild exited with 65, retrying"
  40. sleep 5
  41. test_iOS; RESULT=$?
  42. fi
  43. if [ $RESULT != 0 ]; then exit $RESULT; fi
  44. test_macOS; RESULT=$?
  45. if [ $RESULT == 65 ]; then
  46. echo "xcodebuild exited with 65, retrying"
  47. sleep 5
  48. test_macOS; RESULT=$?
  49. fi
  50. exit $RESULT